Open source: criação do tema “twitter bootstrap” no Grocery CRUD

Olá pessoal.

A quem utiliza o scaffolding Grocery CRUD (http://www.grocerycrud.com/) nos projetos com o Codeigniter fiz uma colaboração no projeto criando um novo tema para ele com base no Twitter bootstrap (http://twitter.github.com/bootstrap/) pelo fato da grande absorção dele em grandes projetos e de todas as suas facilidades para interações, UX e outros aspectos.

Github do projeto

Github do projeto

Para quem quiser testar e/ou utilizá-lo em suas aplicações para verificar o seu uso, o projeto mais atual com o tema pode ser encontrado no repositório do próprio projeto no Github (https://github.com/scoumbourdis/grocery-crud).

Fica aqui a minha satisfação de poder participar do projeto e poder contribuir ao projeto do John Skoumbourdis (https://github.com/scoumbourdis) . Agradeço também ao John por me inserir na listagem dos colaboradores do projeto na página do projeto no link http://www.grocerycrud.com/documentation/credits!

Créditos no projeto Grocery CRUD

Créditos no projeto Grocery CRUD

Espero que vocês gostem do resultado, ainda estou aprimorando-o, então toda sugestão e crítica é sempre bem-vinda e acima de tudo todos podem colaborar na melhora do projeto!

Pretendo participar do novo projeto do grocery CRUD 2.0 que deve focar alguns outros aspectos como interoperabilidade atendendo a alguns PSR’s como o PSR-0 e o PSR-1, testes unitários, melhoras de performance, dentre outros para que possa ser utilizado em qualquer projeto PHP!

Obrigado e até mais!

Anúncios

2 comentários sobre “Open source: criação do tema “twitter bootstrap” no Grocery CRUD

  1. Boa noite!
    Seu blog é muito bom. Tem me ajudado bastante.
    Sobre o GroceryCrud, estou utilizando o tema que você criou para o Bootstrap. Porém, não está dando certo. Utilizo o Bootstrap para a criação da navbar, menus dropdown. Quando aciono o tema do Bootstrap, a navbar não funciona. O que posso fazer para corrigir isso?

  2. Olá João.

    Pelo que você comentou pode estar acontecendo:

    – O tema atualmente utiliza a versão 2.3 do bootstrap. Veja primeiro se o app que você utiliza está usando-o também, pois pode estar ocorrendo algum tipo de conflito. O tema por sí só já insere alguns arquivos como jQuery e Twitter Bootstrap.

    – Verifique se você está carregando estes arquivos novamente.

    – Verifique o tipo de erro que é mostrado no console do Devtools do browser que você utiliza.

    Desculpe a demora na resposta e obrigado por acompanhar meu blog. Infelizmente estou abandonando este blog e migrando para o Github. Acompanhe o meu novo blog!

    http://willmendesneto.github.io/

    Até mais!

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s